# Control sddm wayland by default
%if (0%{?fedora} && 0%{?fedora} < 36) || (0%{?rhel} && 0%{?rhel} < 9)
%bcond_with sddm_wayland_default
%else
%bcond_without sddm_wayland_default
%endif


Name:           sddm-wayland-plasma
Version:        5.23
Release:        0%{?dist}
Summary:        Plasma Wayland SDDM greeter configuration

License:        GPLv2+
URL:            https://invent.kde.org/plasma/plasma-workspace
Source0:        %{url}/-/raw/c923422a/sddm-wayland-session/plasma-wayland.conf#/sddm-plasma-wayland.conf
Source1:        %{url}/-/raw/c923422a/COPYING#/sddm-wayland-plasma-COPYING

Provides:       sddm-greeter-displayserver
Conflicts:      sddm-greeter-displayserver
Requires:       kwin-wayland >= 5.23
Requires:       maliit-keyboard
Requires:       sddm >= 0.19.0+git20220103
%if %{with sddm_wayland_default}
Supplements:    (sddm and plasma-workspace-wayland)
%endif

BuildArch:      noarch

%description
This package contains configuration and dependencies for SDDM
to use KWin for the Wayland compositor for the greeter.


%prep
%autosetup -T -c
cp %{SOURCE1} COPYING

%build
# Nothing to do


%install
install -Dpm 0644 %{SOURCE0} %{buildroot}%{_prefix}/lib/sddm/sddm.conf.d/plasma-wayland.conf


%files
%license COPYING
%{_prefix}/lib/sddm/sddm.conf.d/plasma-wayland.conf


%changelog
* Tue Jan 18 2022 Neal Gompa <ngompa@fedoraproject.org> - 5.23-0
- Initial stub package forked from plasma-workspace for testing
